using UnityEngine;
using System.Collections;



public class Observer : MonoBehaviour {

	//public float turnSpeed;
	public int playerNum = -1;


	// Use this for initialization
	void Start(){
		if(transform.parent.gameObject.GetComponent<Movement>() != null)
		{
			//transform.up = Vector3.zero;
			playerNum = transform.parent.gameObject.GetComponent<Movement>().playerNum;
			Debug.Log (transform.parent.gameObject.name);
		}
	}


	// Update is called once per frame
	void FixedUpdate () {
		/*Vector3 direction = new Vector3(Input.GetAxis("P" + playerNum + "LookH"),-0.35f,Input.GetAxis("P" + playerNum + "LookV"));
		Debug.DrawLine(Vector3.zero,Vector3.Normalize(direction));
		if(direction.x != 0f || direction.y != 0f){
			transform.up = Vector3.Slerp(transform.up,direction*-1,Time.deltaTime);
		}*/
	}
	
}
